﻿var satisfactionOptionId = -1;
var satisfactionId = -1;

$(document).ready(function () {
    $("#ticketViewDiv").on("click", ".ticket-satisfactions .ticket-satisfaction-icon.selectable", function (event) {
        satisfactionOptionId = $(this).data("id");
        satisfactionId = $(this).data("satisfactionid");

        $.ajax({
            url: RQ_URL + '/Tickets/SaveSatisfaction',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            data: JSON.stringify({ id: satisfactionOptionId, ticketId: ticketId }),
            success: function (g) {
                $("#DialogSatisfactionSelected").html("<div class='loading-32'></div>");
                $("#DialogSatisfactionSelected").dialog("open");
                $("#DialogSatisfactionSelected").load(RQ_URL + "/Tickets/SatisfactionResult/" + satisfactionOptionId + "?ticketId=" + ticketId, function (response, status, xhr) {
                    $("#dialog-forward-email-content").removeClass('loading-32');
                    
                    if (status != "error") {
                        $("#DialogSatisfactionSelected").dialog('close');
                        $("#DialogSatisfactionSelected").dialog('open'); //recenter
                    }
                    else {
                        alert(xhr.status + " " + xhr.statusText);
                    }
                });
            },
        });
    });

    $("#ticketViewDiv").on("click", ".add-satisfaction-to-ticket", function () {
        destroyAllBsTooltips();
        if ($(".ticket-satisfaction-global").find(".ticket-satisfactions").length == 0) {
            $(".ticket-satisfaction-global").append("<div class='ticket-satisfactions'></div>");
        }
        var stfId = $(this).data("id");
        if ($(this).closest("ul").find("li").length > 1) {
            $(this).closest("li").remove();
        }
        else
        {
            $(this).closest(".btn-group").remove();
        }
        $.ajax({
            url: RQ_URL + '/Tickets/AddSatisfactionForce',
            type: "GET",
            dataType: "html",
            contentType: "application/json; charset=utf-8",
            data: { id: stfId, ticketId: ticketId },
            success: function (g) {
                $(".ticket-satisfactions").append("<div class='ticket-satisfaction' data-id='" + stfId + "'>" + g + "</div>");
                initBsTooltip();
            },
        });
        //$(".ticket-satisfactions").load(RQ_URL + "/Tickets/AddSatisfactionForce/" + $(this).data("id") + "?ticketId=" + $(this).data("ticketid"));
    });

    $("#DialogSatisfactionSelected").on("click", ".ticket-satisfaction-icon.selectable", function (event) {
        satisfactionOptionId = $(this).data("id");
        $(this).parent(".ticket-satisfaction-icons").find(".ticket-satisfaction-icon").removeClass("selected");
        $(this).addClass("selected");
        $.ajax({
            url: RQ_URL + '/Tickets/SaveSatisfaction',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            data: JSON.stringify({ id: satisfactionOptionId, ticketId: ticketId }),
            success: function (g) {
                $(".ticket-satisfaction-option-result-text").text(g.TextResult);
            },
        });
    });
});